# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-06-17 07:36
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BlogPost',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=500)),
                ('slug', models.SlugField(max_length=500, unique=True)),
                ('content', models.TextField()),
                ('status', models.CharField(choices=[('D', 'Draft'), ('P', 'Published')], max_length=1)),
                ('published_date', models.DateTimeField(blank=True, null=True)),
                ('allow_comments', models.BooleanField(default=True)),
                ('seo_title', models.CharField(help_text='Optional. This title is inserted in HTML Title tag. If not filled, blog title will be used.', max_length=500)),
                ('seo_description', models.TextField(blank=True, help_text='Optional. This description is inserted in HTML meta description tag.If not filled, the first paragraph from the content will be inserted here.', null=True)),
                ('seo_keywords', models.TextField(blank=True, help_text='Optional. This is not auto generated. The filled content will beinserted in meta keywords tag', null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=500, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='blogpost',
            name='categories',
            field=models.ManyToManyField(to='django_cowhite_blog.Category'),
        ),
        migrations.AddField(
            model_name='blogpost',
            name='related_posts',
            field=models.ManyToManyField(to='django_cowhite_blog.BlogPost'),
        ),
    ]
